from pathlib import Path
from datetime import datetime
from dataclasses import dataclass


@dataclass
class Metadata:
    title: str
    date: datetime
    description: str
    # add more options later...


@dataclass
class Item:
    source: Path
    destination: Path
    url: str  # relative to site root
    metadata: Metadata | None  # frontmatter
